Page MenuHome

Crash when undo a loop cut
Closed, ResolvedPublic

Description

System Information
Operating system: Windows-10-10.0.17763 64 Bits
Graphics card: GeForce GTX 750/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 431.60

Blender Version
Broken: version: 2.80 (sub 75), branch: master, commit date: 2019-07-24 14:22, hash: rB507ffee6e1f4

Short description of error
I was working on Blender and it crashed when I undoed a Loop Cut. I've tried to recreate the bug on a default file but I coudn't, so I deleated everything on the scene and left just a square.

Exact steps for others to reproduce the error

It happens randomly, just do a loop cut and undo it. Some times it happens on the first try, but I also get it with 30 tries.

Debug output:

I don't know if it's related to T67454, but it just happens with Loop Cut, I tried the same with Extrude and Bevel and it didn't crash.

Event Timeline

Can confirm. It doesn't happen when I use ctrl+r. Only when I use loop cut tool from the shelf.


Error   : EXCEPTION_ACCESS_VIOLATION
Address : 0x00007FF79F9167B8

System Information
Operating system: Windows-10-10.0.16299 64 Bits
Graphics card: GeForce GTX 1080/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 419.67

Blender Version
Broken: version: 2.80 (sub 75), branch: master, commit date: 2019-07-24 14:22, hash: rB507ffee6e1f4

Philipp Oeser (lichtwerk) lowered the priority of this task from Needs Triage by Developer to Needs Information from User.Jul 30 2019, 12:04 PM

Unable to reproduce here (rBdb0782e9460e, linux 5.1.16-300.fc30.x86_64, nvidia 970m 430.26 drivers)

Just tested on 2.81 (sub 0), branch: master, commit date: 2019-07-29 20:43, hash: rB1178046ed222
The problem is still there. Crash seems to happen only (or at least a lot more often) in wireframe mode.

Can confirm. Happens too with 2.81 (See Video)

Philipp Oeser (lichtwerk) raised the priority of this task from Needs Information from User to Needs Triage by Developer.Jul 30 2019, 12:34 PM

Well, I cant get it to crash, but maybe someone on windows can?

I posted a proof here just a few minutes ago as a video

Philipp Oeser (lichtwerk) lowered the priority of this task from Needs Triage by Developer to Confirmed, Medium.Jul 30 2019, 12:43 PM

Ok, hammered it like a mad man [you have to be quick!] and could get it, too:

BMEdge *eed = BM_edge_at_index(data->vc.em->bm, index); will return garbage, asserts, too
BLI_assert failed: /blender/source/blender/bmesh/intern/bmesh_mesh.h:103, BM_edge_at_index(), at '(index >= 0) && (index < bm->totedge)'

1  _bm_elem_flag_test                   bmesh_inline.h                42   0x2dfce05 
2  mesh_foreachScreenEdge__mapFunc      view3d_iterators.c            201  0x2dfce05 
3  BKE_mesh_foreach_mapped_edge         mesh_iterators.c              82   0x207a93f 
4  mesh_foreachScreenEdge               view3d_iterators.c            257  0x2dfd09e 
5  EDBM_edge_find_nearest_ex            editmesh_select.c             653  0x2b7f458 
6  gizmo_preselect_edgering_test_select view3d_gizmo_preselect_type.c 308  0x2df8425 
7  gizmo_find_intersected_3d            wm_gizmo_map.c                642  0x2405cdf 
8  wm_gizmomap_highlight_find           wm_gizmo_map.c                754  0x2406142 
9  wm_handlers_do_intern                wm_event_system.c             2793 0x23ce408 
10 wm_handlers_do                       wm_event_system.c             2945 0x23cec23 
11 wm_event_do_handlers                 wm_event_system.c             3397 0x23d00cd 
12 WM_main                              wm.c                          417  0x23c397b 
13 main                                 creator.c                     500  0x1d83286

will check a little more...

Since this is also fixed by D5343, will assign to @Sergey Sharybin (sergey) so he can close this along with the other reports when landing D5343...

Just checked if Bug is still open with nightly build (blender-2.81.0-git.af4dcc6073fa-windows64).

Blender ist still crashing after a few attempts ... so it is NOT fixed yet by D5343

Well, D5343 has not landed yet [is still in review... but I applied the patch and tested...it seems to fix it :) ]